Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.ldap
Interface HasControls

All Known Subinterfaces:
  UnsolicitedNotification

public interface HasControls

This interface is for returning controls with objects returned in NamingEnumerations. For example, suppose a server sends back controls with the results of a search operation, the service provider would return a NamingEnumeration of objects that are both SearchResult and implement HasControls.

>        NamingEnumeration enum = ectx.search((Name)name, filter, sctls);
>        while (enum.hasMore()) {
>     	Object entry = enum.next();

>     	// Get search result
>     	SearchResult res = (SearchResult)entry;
>     	// do something with it

>     	// Get entry controls
>       	if (entry instanceof HasControls) {
>     	    Control[] entryCtls = ((HasControls)entry).getControls();
>     	    // do something with controls
>     	}
>        }

Since:
  1.3

Method Summary
`Control[]` | `getControls()` Retrieves an array of `Control`s from the object that implements this interface.

Method Detail

### getControls

    public Control[] getControls()
                          throws NamingException

  Retrieves an array of `Control`s from the object that implements this interface. It is null if there are no controls.

  Returns:
    A possibly null array of `Control` objects.
  Throws:
    `NamingException` - If cannot return controls due to an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.